List all phone number configurations
Returns a list of phone number configurations paginated.
GET
/
porting_orders
/
phone_number_configurations
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const phoneNumberConfigurationListResponse of client.portingOrders.phoneNumberConfigurations.list()) {
console.log(phoneNumberConfigurationListResponse.id);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.porting_orders.phone_number_configurations.list()
page = page.data[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.PortingOrders.PhoneNumberConfigurations.List(context.TODO(), telnyx.PortingOrderPhoneNumberConfigurationListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.portingorders.phonenumberconfigurations.PhoneNumberConfigurationListPage;
import com.telnyx.sdk.models.portingorders.phonenumberconfigurations.PhoneNumberConfigurationListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
PhoneNumberConfigurationListPage page = client.portingOrders().phoneNumberConfigurations().list();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.porting_orders.phone_number_configurations.list
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->portingOrders->phoneNumberConfigurations->list(
filter: [
'portingOrder' => ['status' => ['in-process']],
'portingPhoneNumber' => ['5d6f7ede-1961-4717-bfb5-db392c5efc2d'],
'userBundleID' => ['5d6f7ede-1961-4717-bfb5-db392c5efc2d'],
],
pageNumber: 0,
pageSize: 0,
sort: ['value' => 'created_at'],
);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx porting-orders:phone-number-configurations list \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/porting_orders/phone_number_configurations \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "eef3340b-8903-4466-b445-89b697315a3a",
"user_bundle_id": "daa4308e-742f-4867-97f2-3073db13319a",
"porting_phone_number_id": "f1486bae-f067-460c-ad43-73a92848f902",
"record_type": "porting_phone_number_configuration",
"created_at": "2021-03-19T10:07:15.527000Z",
"updated_at": "2021-03-19T10:07:15.527000Z"
}
],
"meta": {
"total_pages": 3,
"total_results": 55,
"page_number": 2,
"page_size": 25
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Consolidated page parameter (deepObject style). Originally: page[size], page[number]
Show child attributes
Show child attributes
Consolidated filter parameter (deepObject style). Originally: filter[porting_order.status][in][], filter[porting_phone_number][in][], filter[user_bundle_id][in][]
Show child attributes
Show child attributes
Consolidated sort parameter (deepObject style). Originally: sort[value]
Show child attributes
Show child attributes
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const phoneNumberConfigurationListResponse of client.portingOrders.phoneNumberConfigurations.list()) {
console.log(phoneNumberConfigurationListResponse.id);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.porting_orders.phone_number_configurations.list()
page = page.data[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.PortingOrders.PhoneNumberConfigurations.List(context.TODO(), telnyx.PortingOrderPhoneNumberConfigurationListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.portingorders.phonenumberconfigurations.PhoneNumberConfigurationListPage;
import com.telnyx.sdk.models.portingorders.phonenumberconfigurations.PhoneNumberConfigurationListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
PhoneNumberConfigurationListPage page = client.portingOrders().phoneNumberConfigurations().list();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.porting_orders.phone_number_configurations.list
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->portingOrders->phoneNumberConfigurations->list(
filter: [
'portingOrder' => ['status' => ['in-process']],
'portingPhoneNumber' => ['5d6f7ede-1961-4717-bfb5-db392c5efc2d'],
'userBundleID' => ['5d6f7ede-1961-4717-bfb5-db392c5efc2d'],
],
pageNumber: 0,
pageSize: 0,
sort: ['value' => 'created_at'],
);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx porting-orders:phone-number-configurations list \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/porting_orders/phone_number_configurations \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "eef3340b-8903-4466-b445-89b697315a3a",
"user_bundle_id": "daa4308e-742f-4867-97f2-3073db13319a",
"porting_phone_number_id": "f1486bae-f067-460c-ad43-73a92848f902",
"record_type": "porting_phone_number_configuration",
"created_at": "2021-03-19T10:07:15.527000Z",
"updated_at": "2021-03-19T10:07:15.527000Z"
}
],
"meta": {
"total_pages": 3,
"total_results": 55,
"page_number": 2,
"page_size": 25
}
}